libnvme(2)

NAME
struct nvme_nvmset_predictable_lat_log - Predictable Latency Mode - Deterministic Threshold Configuration Data

SYNOPSIS
struct nvme_nvmset_predictable_lat_log {
__u8 status;
__u8 rsvd1;
__le16 event_type;
__u8 rsvd4[28];
__le64 dtwin_rt;
__le64 dtwin_wt;
__le64 dtwin_tmax;
__le64 ndwin_tmin_hi;
__le64 ndwin_tmin_lo;
__u8 rsvd72[56];
__le64 dtwin_re;
__le64 dtwin_we;
__le64 dtwin_te;
__u8 rsvd152[360];
};

Members

status
    Status

rsvd1
    Reserved

event_type
    Event Type

rsvd4
    Reserved

dtwin_rt
    DTWIN Reads Typical

dtwin_wt
    DTWIN Writes Typical

dtwin_tmax
    DTWIN Time Maximum

ndwin_tmin_hi
    NDWIN Time Minimum High

ndwin_tmin_lo
    NDWIN Time Minimum Low

rsvd72
    Reserved

dtwin_re
    DTWIN Reads Estimate

dtwin_we
    DTWIN Writes Estimate

dtwin_te
    DTWIN Time Estimate

rsvd152
    Reserved